@charset "UTF-8";

/*-------------------------------------------
ページトップボタン
-------------------------------------------*/
/* リンクを右下に固定 */
#page-top {
    position: fixed;
    right: 10px;
    bottom:30px;
    z-index: 2;
      /* はじめは非表示 */
    opacity: 0;
    transform: translateY(150px);
}
  
/* 上に上がる動き */
#page-top.UpMove {
    animation: UpAnime 0.5s forwards;
}
  
@keyframes UpAnime{
    from {
        opacity: 0;
        transform: translateY(150px);
    }
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

/* 下に下がる動き */
#page-top.DownMove {
    animation: DownAnime 0.5s forwards;
}

@keyframes DownAnime {
    from {
        opacity: 1;
        transform: translateY(0);
    }
    to {
        opacity: 1;
        transform: translateY(150px);
    }
}

/* 画像の切り替えと動き */
#page-top a {
    /* aタグの形状 */
    display: block;
    width: 100px;
    height: 81px;
    color: #333;
    text-align: center;
    text-transform: uppercase; 
    text-decoration: none;
    font-size:0.6rem;
    background: url("../images/page-top1.png") no-repeat center;
    background-size: contain;
}

#page-top.floatAnime a {
    width: 100px;
    height: 131px;
    background: url("../images/page-top2.png") no-repeat center;
    background-size: contain;
    /* アニメーションの指定 */
    animation: floatAnime 2s linear infinite;
    opacity: 0;
}
	
#page-top a:hover {
	opacity: 1;
}

@keyframes floatAnime {
    0% { transform: translateX(0); opacity: 0; }
    25% { transform: translateX(-6px);opacity: 1; }
    50% { transform: translateX(0) }
    100% { transform: translateX(6px);opacity: 1; }
}

/* Page Topと書かれたテキストの位置 */
#page-top span {
    position: absolute;
    bottom: -10px;
    right: 28px;
    color: #2d2100;
    font-weight: bold;
    text-shadow: 1px 1px #fff;
}

@media only screen and (max-width: 1024px) {
	#page-top a {
		width: 80px;
		height: 65px;
	}

	#page-top.floatAnime a {
		width: 80px;
		height: 105px;
	}

	#page-top span {
		font-size: 0.562rem;
		right: 20px;
		bottom: -9px;
	}
}

@media only screen and (max-width: 459px) {
	#page-top a {
		width: 48px;
		height: 39px;
	}

	#page-top.floatAnime a {
		width: 48px;
		height: 63px;
	}
	
	#page-top a:hover {
		opacity: 0.4;
	}

	#page-top span {
		font-size: 0.375rem;
		right: 11px;
		bottom: -6px;
	}
}



/*-------------------------------------------
ローディング
-------------------------------------------*/
.loading {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 10;
    background-color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    animation: fadeOut 1.5s 2.5s forwards;
}
  
@keyframes fadeOut {
    0% {
      opacity: 1;
    }
  
    100% {
      opacity: 0;
      visibility: hidden;
    }
}
  
.loading_logo {
    opacity: 0;
    animation: logo_fade 2s 0.5s forwards;
    width: 175px;
}
  
@keyframes logo_fade {
    0% {
      opacity: 0;
      transform: translateY(20px);
    }
  
    60% {
      opacity: 1;
      transform: translateY(0);
    }
  
    100% {
      opacity: 0;
    }
}



/*-------------------------------------------
フェードアップ
-------------------------------------------*/
.fadeUp {
    animation-name: fadeUpAnime;
    animation-duration: 0.8s;
    animation-fill-mode: forwards;
    opacity: 0;
}
    
@keyframes fadeUpAnime {
    from {
        opacity: 0;
        transform: translateY(100px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

/* スクロールをしたら出現する要素にはじめに透過0を指定 */

.fadeUpTrigger {
    opacity: 0;
}

/* アニメーションスタートの遅延時間を決めるCSS */

.delay-time01 {
    animation-delay: 0.1s;
}

.delay-time02 {
    animation-delay: 0.2s;
}

.delay-time03 {
    animation-delay: 0.3s;
}

.delay-time04 {
    animation-delay: 0.4s;
}



/*-------------------------------------------
ハンバーガーメニュー
-------------------------------------------*/
@media screen and (max-width: 1024px) {
	nav {
		display: block;
		width: 250px;
		height: 320px;
		position: fixed;/* 固定 */
		background-color: rgb(255, 255, 255, 0.9);
		top: 0;
		left: -300px;
		bottom: 0;
		transition: all 0.5s;
		z-index: 3;
		opacity: 0;
	}

	.open nav {
		left: 0;/* -300をもとに戻す */
		opacity: 1;/* 透明から戻す */
	}

	nav .inner {
		padding: 25px;
	}

	nav .inner ul {
		display: block;
		list-style: none;
		margin: 0;
		padding: 0;
	}

	nav .inner ul li {
		margin: 0;
		border-bottom: 1px solid #333;
	}

	nav .inner ul li a {
		display: block;/* ブロック要素を入れることでpaddingが適用になる */
		text-decoration: none;
		color: #333;
		font-family:"Darumadrop One";
		font-size: 18px;
		padding: 8px;
		transition-duration: 0.2s;/* どのくらいderationを遅らせるか */
	}

	nav .inner ul li a:hover {
		background-color: #e4e4e4;
	}

	/*-------------------------------------------
	MENUがCLOSEに
	-------------------------------------------*/
	/*ボタン外側*/
	.toggle-btn {
		position: fixed;
		background-color: #2d2100;
		cursor: pointer;
		top: 32px;
		right: 10px;
		width: 50px;
		height:50px;
		border-radius: 5px;
		z-index: 9;
	}

	/*ボタン内側*/
	.toggle-btn span{
		display: inline-block;
		transition: all 0.5s;/*アニメーションの設定*/
		position: absolute;
		left: 14px;
		height: 2px;
		border-radius: 5px;
		background: #fff;
		width: 45%;
	}

	.toggle-btn span:nth-of-type(1) {
		top:13px;	
	}

	.toggle-btn span:nth-of-type(2) {
		top:19px;
	}

	.toggle-btn span:nth-of-type(3) {
		top:25px;
	}

	.toggle-btn span:nth-of-type(3)::after {
		content:"Menu";/*3つ目の要素のafterにMenu表示を指定*/
		position: absolute;
		top:5px;
		left:-2px;
		color: #fff;
		font-size: 0.6rem;
		text-transform: uppercase;
	}

	/*activeクラスが付与されると線が回転して×になり、Menu⇒Closeに変更*/

	.toggle-btn.active span:nth-of-type(1) {
		top: 14px;
		left: 18px;
		transform: translateY(6px) rotate(-45deg);
		width: 30%;
	}

	.toggle-btn.active span:nth-of-type(2) {
		opacity: 0;
	}

	.toggle-btn.active span:nth-of-type(3){
		top: 26px;
		left: 18px;
		transform: translateY(-6px) rotate(45deg);
		width: 30%;
	}

	.toggle-btn.active span:nth-of-type(3)::after {
		content:"Close";/*3つ目の要素のafterにClose表示を指定*/
		transform: translateY(0) rotate(-45deg);
		top:5px;
		left:4px;
	}
}


@media screen and (max-width: 459px) {
	.toggle-btn {
		position: fixed;
		background-color:#2d2100;
		cursor: pointer;
		top: 13px;
		right: 0px;
		width: 50px;
		height:50px;
		border-radius: 5px;
		z-index: 9;
	}
}